#ifndef _pySelector_h_
#define _pySelector_h_

#include "ygSelector.h"


class pySelector : public ygSelector
	{
	public:
	 pySelector(const char* name,bool master=true);
	 virtual ~pySelector(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
	private:
	 struct _pySelectorPrivateData * p_;
	 static void initializePythonYgSelector(void);
	};


#endif
